(define (seperate_animation img drawable)
	(let * 
		(
			(anImage 0)
			(numlayers 0)
			(layers 0)
			(imgw 0)
			(imgh 0)
			(idx 0)
			(layr 0)
			(xoff 0)
			(yoff 0)
			(temp 0)
		)

		(set! anImage   (car (gimp-image-duplicate img)))
		(set! numlayers (car (gimp-image-get-layers anImage)))
		(set! layers    (cadr(gimp-image-get-layers anImage)))
		(set! imgw      (car (gimp-image-width anImage)))
		(set! imgh      (car (gimp-image-height anImage)))
		(set! temp numlayers)
		
			
		(set! layers    (cadr(gimp-image-get-layers anImage)))
		(set! layr (aref layers (- (- numlayers 1) idx)))
		(set! idx (+ idx 1))
		(set! temp (- temp 1))
		(define value-layer (car (gimp-layer-copy layr 0)))
		(gimp-image-insert-layer anImage value-layer 0 temp)
		
		(while  (< idx numlayers)
			(set! layers    (cadr(gimp-image-get-layers anImage)))
			(set! layr (aref layers (- (- numlayers 1) idx)))

			(gimp-image-merge-down anImage layr 1 )

			(set! layers    (cadr(gimp-image-get-layers anImage)))
			(set! layr (aref layers (- (- numlayers 1) idx)))
			(set! idx (+ idx 1))
			(set! temp (- temp 1))
			(define value-layer (car (gimp-layer-copy layr 0)))
			(if (< idx numlayers)
				(gimp-image-insert-layer anImage value-layer 0 temp)
			)
		)			
	
			
		(gimp-image-resize-to-layers anImage)
		(gimp-display-new anImage)
	)
	
)		
		
(script-fu-register "seperate_animation"
	_"<Toolbox>/Xtns/Sprite-Sheet/seperate_animation..."
    "Creates a new image from current image, then offsets each layer of new image, and finally merges all visible layers to create a spritesheet"
    "Brian.Schultheiss@airegear.com"
    "Brian.Schultheiss@airegear.com"
    "2009"
    "INDEXED* RGB* GRAY*"
    SF-IMAGE        "Image to use"          0
    SF-DRAWABLE     "Layer to use"          0
)